---
labels:
  - Apollo
  - client
relatedTerms:
  - GraphQL client
usageInstructions: Use "Apollo Client" when speaking about our client libraries generically. When referring to a specific library for the first time, use "Apollo Client Web," "Apollo Kotlin," or "Apollo iOS." Do not refer to as simply "Client". Use `ApolloClient` when referring to the class/object.
internalOnly: false
learnMore: https://www.apollographql.com/docs/react/
learnMoreText: See Apollo Client Web docs
---

An [open-source library](https://github.com/apollographql/apollo-client) for client-side state management and GraphQL operation handling in Javascript/Typescript. Apollo Client Web is a fully-featured caching GraphQL client with integrations for React, Angular, and more.
