---
labels:
  - Apollo
  - client
relatedTerms:
  - GraphQL client
usageInstructions: Use "Apollo Client" when speaking about our client libraries generically. When referring to a specific library for the first time, use "Apollo Client Web," "Apollo Client for Kotlin," or "Apollo Client for iOS." Do not refer to as simply "Client". Use `ApolloClient` when referring to the class/object.
internalOnly: false
---

Open-source libraries for client-side state management and GraphQL operation handling for [JavaScript/TypeScript](https://www.apollographql.com/docs/react), [Kotlin](https://www.apollographql.com/docs/kotlin), and [iOS](https://www.apollographql.com/docs/ios).
